{% extends 'base.html.twig' %}

{% block title %}Liste des congélateurs{% endblock %}

{% block body %}
    <div class="container-fluid mt-3">
        <div class="row">
            <div class="col-lg-1"></div>
            <div class="col-lg-9">
                <h1>Congélateurs</h1>
            </div>
            <div class="col-lg-offset-10 col-lg-2 w-25 ">
                <a href="{{ path('addcongel') }}" class="btn btn-primary border-info w-75">Nouveau
                    congélateur</a>
            </div>
        </div>
        <div class="container mt-4">
            {% if congelateurs|length==0 %}
                {{ "Pas de congélateur enregistré" }}
            {% else %}
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Congélateur</th>
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>

                    {% for congelateur in congelateurs %}
                        <tr>
                            <td>{{ congelateur.nom }}</td>
                            <td><a class="btn btn-secondary"
                                   href="{{ path('editcongel',{id:congelateur.id}) }}">Editer</a>
                                <form method="post" action="{{ path('deletecongel', {id: congelateur.id}) }}" style="display: inline-block" onsubmit="return confirm('Êtes vous vraiment sûr ?')">
                                    <input type="hidden" name="_method" value="DELETE">
                                    <button class="btn btn-danger">Supprimer</button>
                                </form>
                            </td>
                        </tr>
                    {% endfor %}

                    </tbody>
                </table>
            {% endif %}
        </div>

    </div>
{% endblock %}
